# Generated by Django 3.2.11 on 2022-01-14 04:18

from decimal import Decimal

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("nfts", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Asteroid",
            fields=[
                (
                    "nftasset_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="nfts.nftasset",
                    ),
                ),
                (
                    "diameter",
                    models.IntegerField(
                        blank=True,
                        null=True,
                        validators=[
                            django.core.validators.MaxValueValidator(750284),
                            django.core.validators.MinValueValidator(2046),
                        ],
                        verbose_name="diameter",
                    ),
                ),
                (
                    "spectral_type",
                    models.IntegerField(
                        blank=True,
                        choices=[
                            (0, "C"),
                            (1, "CM"),
                            (2, "CI"),
                            (3, "CS"),
                            (4, "CMS"),
                            (5, "CIS"),
                            (6, "S"),
                            (7, "SM"),
                            (8, "SI"),
                            (9, "M"),
                            (10, "I"),
                        ],
                        null=True,
                        verbose_name="spectral type",
                    ),
                ),
                (
                    "semi_major_axis",
                    models.DecimalField(
                        blank=True,
                        decimal_places=3,
                        max_digits=4,
                        null=True,
                        validators=[
                            django.core.validators.MaxValueValidator(Decimal("3.913")),
                            django.core.validators.MinValueValidator(Decimal("0.89")),
                        ],
                        verbose_name="semi-major axis",
                    ),
                ),
                (
                    "eccentricity",
                    models.DecimalField(
                        blank=True,
                        decimal_places=3,
                        max_digits=6,
                        null=True,
                        validators=[
                            django.core.validators.MaxValueValidator(Decimal("0.392")),
                            django.core.validators.MinValueValidator(Decimal("0.007")),
                        ],
                        verbose_name="eccentricity",
                    ),
                ),
                (
                    "inclination",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        max_digits=4,
                        null=True,
                        validators=[
                            django.core.validators.MaxValueValidator(Decimal("37.77")),
                            django.core.validators.MinValueValidator(Decimal("0.01")),
                        ],
                        verbose_name="orbital inclination",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "base_manager_name": "objects",
            },
            bases=("nfts.nftasset",),
        ),
    ]
